## litestar 2.15.1

=== Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
ENV_PREFIX		=  .venv/bin/
VENV_EXISTS		=	$(shell python3 -c "if __import__('pathlib').Path('.venv/bin/activate').exists(): print('yes')")

.EXPORT_ALL_VARIABLES:


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@uv lock --upgrade
	@echo "=> Dependencies Updated"
	@uv run pre-commit autoupdate
	@echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================

.PHONY: install
install:
	@uv sync

.PHONY: clean
clean: 												## Cleanup temporary build artifacts
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ -rf dist/ .eggs/
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -type f -name '*.egg' -exec rm -f {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@rm -rf .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache
	$(MAKE) docs-clean

.PHONY: destroy
destroy: 											## Destroy the virtual environment
	@rm -rf .venv


.PHONY: lock
lock:                                             ## Rebuild lockfiles from scratch, updating all dependencies
	@uv lock

# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: mypy
mypy:                                               ## Run mypy
	@echo "=> Running mypy"
	@uv run dmypy run
	@echo "=> mypy complete"

.PHONY: mypy-nocache
mypy-nocache:                                       ## Run Mypy without cache
	@echo "=> Running mypy without a cache"
	@uv run dmypy run -- --cache-dir=/dev/null
	@echo "=> mypy complete"

.PHONY: pyright
pyright:                                            ## Run pyright
	@echo "=> Running pyright"
	@uv run pyright
	@echo "=> pyright complete"

.PHONY: type-check
type-check: mypy pyright                            ## Run all type checking

.PHONY: pre-commit
pre-commit: 										## Runs pre-commit hooks; includes ruff formatting and linting, codespell
	@echo "=> Running pre-commit process"
	@uv run pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: slots-check
slots-check: 										## Check for slots usage in classes
	@echo "=> Checking for slots usage in classes"
	@uv run slotscheck litestar
	@echo "=> Slots check complete"

.PHONY: lint
lint: pre-commit type-check slots-check				## Run all linting

.PHONY: coverage
coverage:  											## Run the tests and generate coverage report
	@echo "=> Running tests with coverage"
	@uv run pytest tests --cov -n auto
	@uv run coverage html
	@uv run coverage xml
	@echo "=> Coverage report generated"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@uv run pytest tests
	@echo "=> Tests complete"

.PHONY: test-examples
test-examples:            			              	## Run the examples tests
	@uv run pytest docs/examples

.PHONY: test-all
test-all: test test-examples 						## Run all tests

.PHONY: check-all
check-all: lint test-all coverage                   ## Run all linting, tests, and coverage checks


# =============================================================================
# Docs
# =============================================================================
# XXX: docs commands are pinned to Python 3.12 due to picologging not being compatible with 3.13

.PHONY: docs-install
docs-install: 										## Install docs dependencies
	@echo "=> Installing documentation dependencies"
	@uv sync --python 3.12 --group docs
	@echo "=> Installed documentation dependencies"

docs-clean: 										## Dump the existing built docs
	@echo "=> Cleaning documentation build assets"
	@rm -rf docs/_build
	@echo "=> Removed existing documentation build assets"

docs-serve: docs-clean 								## Serve the docs locally
	@echo "=> Serving documentation"
	uv run --python 3.12 sphinx-autobuild docs docs/_build/ -j auto --watch litestar --watch docs --watch tests --watch CONTRIBUTING.rst --open-browser --port=0

docs: docs-clean 									## Dump the existing built docs and rebuild them
	@echo "=> Building documentation"
	@uv run --python 3.12 sphinx-build -M html docs docs/_build/ -E -a -j auto -W --keep-going

.PHONY: docs-linkcheck
docs-linkcheck: 									## Run the link check on the docs
	@uv run --python 3.12 sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_ignore='http://.*','https://.*'

.PHONY: docs-linkcheck-full
docs-linkcheck-full: 									## Run the full link check on the docs
	@uv run --python 3.12 sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_anchors=0

=== debian/changelog ===
litestar (2.15.1-1) unstable; urgency=medium

  * [ce582a3] New upstream version 2.15.1
  * [6896f0b] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Ignore-config-for-valkey-related-tests.patch
    Updated patch:
    pyproject.toml-Don-t-use-dist-loadgroup.patch
  * [bbe4a3d] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [33f83ac] d/control: Update Build Dependencies
  * [ba94119] d/rules: Updating the test configuration
  * [b4ad0d7] d/README.source: Update information about test config
  * [65bb653] autopkgtest: Update test config here too
  * [d6818af] autopkgtest: Update package test dependencies
  * [475e0da] d/salsa-ci.yml: Add a Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Mar 2025 11:18:53 +0200

litestar (2.10.0-1) unstable; urgency=medium

  * [0ba5934] New upstream version 2.10.0
  * [b634d83] First and basic Debianization
    (Closes: #1095112)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Feb 2025 15:43:58 +0200

=== debian/control ===
Source: litestar
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-picologging <!nocheck>,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-advanced-alchemy <!nocheck>,
 python3-aiosqlite <!nocheck>,
 python3-anyio <!nocheck>,
 python3-asyncmy <!nocheck>,
 python3-asyncpg <!nocheck>,
 python3-beanie <!nocheck>,
 python3-brotli <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-flaky <!nocheck>,
 python3-fsspec <!nocheck>,
 python3-hatchling,
 python3-httpx <!nocheck>,
 python3-httpx-sse <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-jwt <!nocheck>,
 python3-litestar-htmx <!nocheck>,
 python3-mako <!nocheck>,
 python3-minijinja <!nocheck>,
 python3-msgspec <!nocheck>,
 python3-multidict <!nocheck>,
 python3-multipart <!nocheck>,
## python3-opentelemetry-sdk <!nocheck>,
## python3-polyfactory <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-psutil <!nocheck>,
 python3-psycopg <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pydantic-extra-types <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-lazy-fixtures <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-redis <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-starlette <!nocheck>,
 python3-structlog <!nocheck>,
 python3-time-machine <!nocheck>,
 python3-trio <!nocheck>,
 python3-uvicorn <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/litestar-org/litestar
Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

#Package: python-litestar-doc
#Section: doc
#Architecture: all
#Depends:
# ${misc:Depends},
# ${sphinxdoc:Depends},
#Multi-Arch: foreign
#Description: Powerful, flexible, highly performant, opinionated ASGI framework (Documentation)
# LiteStar is a Python web framework (similar to FlastAPI and Django) that is
# designed to be simply but also very flexible. It is built with the goal of
# being easy to learn and use, making it an excellent choice for both beginners
# and experienced developers. LiteStar follows the WSGI (Web Server Gateway
# Interface) standard, which means it can run on various web servers and is
# compatible with popular Python web server gateways like Gunicorn and uWSGI.
# .
# The Litestar framework supports Plugins, ships with dependency injection,
# security primitives, OpenAPI schema generation, MessagePack, middlewares, a
# great CLI experience, and much more.
# .
# Core Features
#  * Class based controllers
#  * Dependency Injection
#  * Layered Middleware
#  * Plugin System
#  * OpenAPI 3.1 schema generation
#  * Life Cycle Hooks
#  * Route Guards based Authorization
#  * Support for dataclasses, TypedDict, pydantic version 1 and version 2,
#    msgspec and attrs
#  * Layered parameter declaration
#  * Support for RFC 9457 standardized "Problem Detail" error responses
#  * Automatic API documentation with:
#   * Scalar
#   * RapiDoc
#   * Redoc
#   * Stoplight Elements
#   * Swagger-UI
#  * Trio support (built-in, via AnyIO)
#  * Ultra-fast validation, serialization and deserialization using msgspec
#  * SQLAlchemy integration
#  * Piccolo ORM Support
# .
# This package contains the documentation for python3-litestar.

Package: python3-litestar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
#Suggests:
# python-litestar-doc,
Description: Powerful, flexible, highly performant, opinionated ASGI framework
 LiteStar is a Python web framework (similar to FastAPI and Django) that is
 designed to be simply but also very flexible. It is built with the goal of
 being easy to learn and use, making it an excellent choice for both beginners
 and experienced developers. LiteStar follows the WSGI (Web Server Gateway
 Interface) standard, which means it can run on various web servers and is
 compatible with popular Python web server gateways like Gunicorn and uWSGI.
 .
 The Litestar framework supports Plugins, ships with dependency injection,
 security primitives, OpenAPI schema generation, MessagePack, middlewares, a
 great CLI experience, and much more.
 .
 Core Features
  * Class based controllers
  * Dependency Injection
  * Layered Middleware
  * Plugin System
  * OpenAPI 3.1 schema generation
  * Life Cycle Hooks
  * Route Guards based Authorization
  * Support for dataclasses, TypedDict, pydantic version 1 and version 2,
    msgspec and attrs
  * Layered parameter declaration
  * Support for RFC 9457 standardized "Problem Detail" error responses
  * Automatic API documentation with:
   * Scalar
   * RapiDoc
   * Redoc
   * Stoplight Elements
   * Swagger-UI
  * Trio support (built-in, via AnyIO)
  * Ultra-fast validation, serialization and deserialization using msgspec
  * SQLAlchemy integration
  * Piccolo ORM Support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=litestar
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=\
 --ignore=docs/examples/testing/test_subprocess_sse.py \
 --ignore=tests/examples/test_contrib/test_sqlalchemy/plugins/test_example_apps.py \
 --ignore=tests/examples/test_pagination/test_using_classic_pagination.py \
 --ignore=tests/examples/test_pagination/test_using_cursor_pagination.py \
 --ignore=tests/examples/test_pagination/test_using_offset_pagination.py \
 --ignore=tests/unit/test_channels/test_backends.py \
 --ignore=tests/unit/test_channels/test_plugin.py \
 --ignore=tests/unit/test_cli/test_schema_commands.py \
 --ignore=tests/unit/test_contrib/test_attrs/test_schema_spec_generation.py \
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \
 --ignore=tests/unit/test_contrib/test_piccolo_orm/test_piccolo_orm_dto.py \
 --ignore=tests/unit/test_contrib/test_pydantic/test_integration.py \
 --ignore=tests/unit/test_contrib/test_pydantic/test_openapi.py \
 --ignore=tests/unit/test_controller.py \
 --ignore=tests/unit/test_dto/test_factory/test_utils.py \
 --ignore=tests/unit/test_file_system.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_media_type.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_validations.py \
 --ignore=tests/unit/test_kwargs/test_reserved_kwargs_injection.py \
 --ignore=tests/unit/test_kwargs/test_validations.py \
 --ignore=tests/unit/test_openapi \
 --ignore=tests/unit/test_pagination.py \
 --ignore=tests/unit/test_plugins/test_attrs/test_schema_spec_generation.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_integration.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_openapi.py \
 --ignore=tests/unit/test_response/test_response_to_asgi_response.py \
 --ignore=tests/unit/test_response/test_serialization.py \
 --ignore=tests/unit/test_security/test_jwt/test_auth.py \
 --ignore=tests/unit/test_security/test_session_auth.py \
 --ignore=tests/unit/test_stores.py \
 --ignore=tests/unit/test_testing/test_request_factory.py \
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
 --ignore=tests/unit/test_testing/test_test_client.py \
 --ignore=tests/unit/test_utils/test_typing.py \
 -k 'not test_backlog \
 and not test_prometheus_exporter_metrics_with_http \
 and not test_qsize \
 and not test_request_body_logging_middleware \
 and not test_sqlalchemy_declarative_models \
 and not test_with_portal \
 and not test_with_stores \
 '

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 daphne,
 python3-all,
 python3-advanced-alchemy,
 python3-aiosqlite,
 python3-anyio,
 python3-asyncmy,
 python3-asyncpg,
 python3-beanie,
 python3-brotli,
 python3-bs4,
 python3-cryptography,
 python3-flaky,
 python3-fsspec,
 python3-httpx,
 python3-httpx-sse,
 python3-hypercorn,
 python3-hypothesis,
 python3-jinja2,
 python3-jwt,
 python3-mako,
 python3-minijinja,
 python3-msgspec,
 python3-multidict,
 python3-picologging,
## python3-polyfactory,
 python3-prometheus-client,
 python3-psutil,
 python3-psycopg,
 python3-pydantic,
 python3-pydantic-extra-types,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-lazy-fixtures,
 python3-pytest-mock,
 python3-pytest-timeout,
 python3-pytest-tornasync,
 python3-pytest-trio,
 python3-pytest-twisted,
 python3-pytest-xdist,
 python3-redis,
 python3-sqlalchemy,
 python3-starlette,
 python3-structlog,
 python3-time-machine,
 python3-trio,
 python3-yaml,
 uvicorn,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/litestar-org/litestar.git \
      refs/tags/@ANY_VERSION@

## litestar 2.15.2

=== debian/changelog ===
litestar (2.15.2-2) unstable; urgency=medium

  * [81667e1] d/rules: Ignore DeprecationWarnings during tests
    (Closes: #1104654)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sun, 04 May 2025 09:56:07 +0000

litestar (2.15.2-1) unstable; urgency=medium

  * [345c829] New upstream version 2.15.2
    (Closes: #1101855)
  * [13c3328] Rebuild patch queue from patch queue branch
    Updated patch:
    pyproject.toml-Don-t-use-dist-loadgroup.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Apr 2025 18:04:09 +0200

litestar (2.15.1-3) unstable; urgency=medium

  * [97475fa] Rebuild patch queue from patch queue branch
    Added patch:
    tests-Skip-test_server_root_path_handling-on-riscv64.patch
  * [651084f] d/control: Add python3-polyfactory to B-D
  * [ded8c53] d/rules: Addjust PYBUILD_TEST_ARGS after new B-D
  * [9c02a5d] d/README.source: Update information about the tests
  * [68574fa] autopkgtest: Add new needed package needed for tests
  * [5e82a95] autopkgtest: Adjust the test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Mar 2025 18:22:12 +0200

litestar (2.15.1-2) unstable; urgency=medium

  * [bb2d2b2] autopkgtest: Ignore two more tests using a httpx server

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Mar 2025 19:25:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=litestar
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=\
 --ignore=docs/examples/testing/test_subprocess_sse.py \
 --ignore=tests/unit/test_channels/test_backends.py \
 --ignore=tests/unit/test_channels/test_plugin.py \
 --ignore=tests/unit/test_cli/test_schema_commands.py \
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \
 --ignore=tests/unit/test_file_system.py \
 --ignore=tests/unit/test_kwargs/test_validations.py \
 --ignore=tests/unit/test_middleware/test_rate_limit_middleware.py \
 --ignore=tests/unit/test_openapi \
 --ignore=tests/unit/test_stores.py \
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
 --ignore=tests/unit/test_testing/test_test_client.py \
 -W ignore::DeprecationWarning \
 -k 'not test_backlog \
 and not test_prometheus_exporter_metrics_with_http \
 and not test_qsize \
 and not test_request_body_logging_middleware \
 and not test_sqlalchemy_declarative_models \
 and not test_with_portal \
 and not test_with_stores \
 '

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

## litestar 2.16.0

=== debian/changelog ===
litestar (2.16.0-1) unstable; urgency=medium

  * [39ec476] New upstream version 2.16.0

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 08 May 2025 08:20:36 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-multidict <!nocheck>,
  python3-multipart <!nocheck>,
 ## python3-opentelemetry-sdk <!nocheck>,
-## python3-polyfactory <!nocheck>,
+ python3-polyfactory <!nocheck>,
  python3-prometheus-client <!nocheck>,
  python3-psutil <!nocheck>,
  python3-psycopg <!nocheck>,

## litestar 2.18.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # =============================================================================
 
 .PHONY: install
-install:
+install:  											## Install dependencies
 	@uv sync
 
 .PHONY: clean

=== debian/changelog ===
litestar (2.18.0-1) unstable; urgency=medium

  * [e11f25b] d/watch: Convert to version 5
  * [b3cc98d] New upstream version 2.18.0
  * [ed12412] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [f2233d3] d/rules: Drop some more tests
    (Closes: #1114186)
  * [50cbc36] d/rules: Ignore also 'ResourceWarning' while tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 06:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 #Package: python-litestar-doc
 #Section: doc

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,100 @@
  --ignore=tests/unit/test_stores.py \
  --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
  --ignore=tests/unit/test_testing/test_test_client.py \
+ --ignore=tests/unit/test_concurrency.py \
+ --ignore=tests/unit/test_connection/test_base.py \
+ --ignore=tests/unit/test_contrib/test_htmx/test_htmx_request.py \
+ --ignore=tests/unit/test_contrib/test_htmx/test_htmx_response.py \
+ --ignore=tests/unit/test_dto/test_factory/test_backends/test_backends.py \
+ --ignore=tests/unit/test_dto/test_factory/test_integration.py \
+ --ignore=tests/unit/test_dto/test_factory/test_backends/test_base_dto.py \
+ --ignore=tests/unit/test_controller.py \
+ --ignore=tests/unit/test_datastructures/test_secret_values.py \
+ --ignore=tests/unit/test_datastructures/test_upload_file.py \
+ --ignore=tests/unit/test_exceptions.py \
+ --ignore=tests/unit/test_events.py \
+ --ignore=tests/unit/test_handlers/test_http_handlers/test_media_type.py \
+ --ignore=tests/unit/test_handlers/test_http_handlers/test_kwarg_handling.py \
+ --ignore=tests/unit/test_handlers/test_websocket_handlers/test_stream.py \
+ --ignore=tests/unit/test_kwargs/test_cookie_params.py \
+ --ignore=tests/unit/test_kwargs/test_dependency_batches.py \
+ --ignore=tests/unit/test_kwargs/test_generator_dependencies.py \
+ --ignore=tests/unit/test_kwargs/test_header_params.py \
+ --ignore=tests/unit/test_kwargs/test_json_data.py \
+ --ignore=tests/unit/test_kwargs/test_layered_params.py \
+ --ignore=tests/unit/test_kwargs/test_msgpack_data.py \
+ --ignore=tests/unit/test_kwargs/test_multipart_data.py \
+ --ignore=tests/unit/test_kwargs/test_path_params.py \
+ --ignore=tests/unit/test_kwargs/test_query_params.py \
+ --ignore=tests/unit/test_kwargs/test_reserved_kwargs_injection.py \
+ --ignore=tests/unit/test_kwargs/test_url_encoded_data.py \
+ --ignore=tests/unit/test_logging/test_logging_config.py \
+ --ignore=tests/unit/test_logging/test_structlog_config.py \
+ --ignore=tests/unit/test_handlers/test_websocket_handlers/test_listeners.py \
+ --ignore=tests/unit/test_middleware/test_base_middleware.py \
+ --ignore=tests/unit/test_middleware/test_cors_middleware.py \
+ --ignore=tests/unit/test_middleware/test_csrf_middleware.py \
+ --ignore=tests/unit/test_middleware/test_exception_handler_middleware.py \
+ --ignore=tests/unit/test_middleware/test_logging_middleware.py \
+ --ignore=tests/unit/test_middleware/test_compression_middleware.py \
+ --ignore=tests/unit/test_middleware/test_session/test_middleware.py \
+ --ignore=tests/unit/test_middleware/test_middleware_handling.py \
+ --ignore=tests/unit/test_middleware/test_session/test_client_side_backend.py \
+ --ignore=tests/unit/test_pagination.py \
+ --ignore=tests/unit/test_params.py \
+ --ignore=tests/unit/test_parsers.py \
+ --ignore=tests/unit/test_plugins/test_flash.py \
+ --ignore=tests/unit/test_plugins/test_attrs/test_inject_attrs_class.py \
+ --ignore=tests/unit/test_plugins/test_attrs/test_schema_spec_generation.py \
+ --ignore=tests/unit/test_plugins/test_attrs/test_signature.py \
+ --ignore=tests/unit/test_plugins/test_prometheus.py \
+ --ignore=tests/unit/test_plugins/test_base.py \
+ --ignore=tests/unit/test_plugins/test_problem_details.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_dto.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_inject_pydantic.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_integration.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_openapi.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_plugin_serialization.py \
+ --ignore=tests/unit/test_middleware/test_base_authentication_middleware.py \
+ --ignore=tests/unit/test_response/test_base_response.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_pydantic_dto_factory.py \
+ --ignore=tests/unit/test_middleware/test_session/test_server_side_backend.py \
+ --ignore=tests/unit/test_repository/test_generic_mock_repository.py \
+ --ignore=tests/unit/test_request_class_resolution.py \
+ --ignore=tests/unit/test_response/test_file_response.py \
+ --ignore=tests/unit/test_plugins/test_pydantic/test_schema_plugin.py \
+ --ignore=tests/unit/test_response/test_response_cookies.py \
+ --ignore=tests/unit/test_response/test_redirect_response.py \
+ --ignore=tests/unit/test_response/test_response_headers.py \
+ --ignore=tests/unit/test_response/test_response_to_asgi_response.py \
+ --ignore=tests/unit/test_response/test_type_encoders.py \
+ --ignore=tests/unit/test_response/test_sse.py \
+ --ignore=tests/unit/test_response_class_resolution.py \
+ --ignore=tests/unit/test_security/test_jwt/test_auth.py \
+ --ignore=tests/unit/test_security/test_jwt/test_integration.py \
+ --ignore=tests/unit/test_security/test_jwt/test_token.py \
+ --ignore=tests/unit/test_guards.py \
+ --ignore=tests/unit/test_dto/test_integration.py \
+ --ignore=tests/unit/test_connection/test_websocket.py \
+ --ignore=tests/unit/test_security/test_session_auth.py \
+ --ignore=tests/unit/test_handlers/test_websocket_handlers/test_validations.py \
+ --ignore=tests/unit/test_signature/test_parsing.py \
+ --ignore=tests/unit/test_kwargs/test_defaults.py \
+ --ignore=tests/unit/test_security/test_security.py \
+ --ignore=tests/unit/test_signature/test_validation.py \
+ --ignore=tests/unit/test_response/test_streaming_response.py \
+ --ignore=tests/unit/test_static_files/test_file_serving_resolution.py \
+ --ignore=tests/unit/test_static_files/test_html_mode.py \
+ --ignore=tests/unit/test_static_files/test_static_files_validation.py \
+ --ignore=tests/unit/test_template/test_built_in.py \
+ --ignore=tests/unit/test_template/test_builtin_functions.py \
+ --ignore=tests/unit/test_template/test_template.py \
+ --ignore=tests/unit/test_testing/test_request_factory.py \
+ --ignore=tests/unit/test_utils/*.py \
+ --ignore=tests/unit/test_websocket_class_resolution.py \
+ --ignore=tests/e2e/test_response_caching.py \
  -W ignore::DeprecationWarning \
+ -W ignore::ResourceWarning \
  -k 'not test_backlog \
  and not test_prometheus_exporter_metrics_with_http \
  and not test_qsize \
@@ -27,6 +120,20 @@
  and not test_sqlalchemy_declarative_models \
  and not test_with_portal \
  and not test_with_stores \
+ and not test_controller_http_method \
+ and not test_mutable_scope_headers_from_tuple_extend_header_value_new_header \
+ and not test_target_set \
+ and not test_secret_string_parameter \
+ and not test_fields_alias_generator \
+ and not test_dto_data_create_instance_renamed_fields \
+ and not test_backend_parse_unsupported_media_type \
+ and not test_dto_openapi_without_unique_handler_names \
+ and not test_backend_scalar_annotation \
+ and not test_url_encoded_form_data_patch_request \
+ and not test_backend_populate_data_from_builtins \
+ and not test_backend_create_openapi_schema \
+ and not test_dto_private_fields_disabled \
+ and not test_dto_concrete_builtin_collection_types \
  '
 
 %:

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Tests:
- upstream-tests
+ upstream-tests,
 Depends:
  daphne,
- python3-all,
  python3-advanced-alchemy,
  python3-aiosqlite,
+ python3-all,
  python3-anyio,
  python3-asyncmy,
  python3-asyncpg,
@@ -25,7 +25,7 @@
  python3-msgspec,
  python3-multidict,
  python3-picologging,
-## python3-polyfactory,
+ python3-polyfactory,
  python3-prometheus-client,
  python3-psutil,
  python3-psycopg,
@@ -49,4 +49,5 @@
  python3-yaml,
  uvicorn,
  @,
-Restrictions: allow-stderr
+Restrictions:
+ allow-stderr,

=== debian/watch ===
Version: 5

Source: https://github.com/litestar-org/litestar.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## litestar 2.19.0

=== debian/changelog ===
litestar (2.19.0-2) unstable; urgency=medium

  * [43d5cdd] Rebuild patch queue from patch-queue branch
    Updated and renamed patch:
    tests-Skip-test_server_root_path_handling-on-riscv64.patch -->
    tests-Skip-tests-expect-to-fail-on-riscv64.patch
  * [a138e01] d/rules: Add more tests to ignore at build time
    (Closes: #1124174)
  * [2f1a35e] autopkgtest: Also ignore here some more tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 31 Dec 2025 12:31:53 +0200

litestar (2.19.0-1) unstable; urgency=medium

  * [6309e49] New upstream version 2.19.0
    (Closes: #1123146)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Dec 2025 16:46:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=litestar
export PYBUILD_BEFORE_TEST=cp -a docs {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=\
 --ignore=docs/examples/testing/test_subprocess_sse.py \
 --ignore=tests/e2e/test_advanced_alchemy.py \
 --ignore=tests/e2e/test_response_caching.py \
 --ignore=tests/examples/test_contrib/test_sqlalchemy/plugins/test_example_apps.py \
 --ignore=tests/examples/test_contrib/test_sqlalchemy/plugins/test_tutorial_example_apps.py \
 --ignore=tests/examples/test_contrib/test_sqlalchemy/test_sqlalchemy_examples.py \
 --ignore=tests/examples/test_data_transfer_objects/test_factory/test_type_checking.py \
 --ignore=tests/examples/test_dto/test_example_apps.py \
 --ignore=tests/examples/test_plugins/test_sqlalchemy_init_plugin.py \
 --ignore=tests/unit/test_app.py \
 --ignore=tests/unit/test_channels/test_backends.py \
 --ignore=tests/unit/test_channels/test_plugin.py \
 --ignore=tests/unit/test_cli/test_schema_commands.py \
 --ignore=tests/unit/test_concurrency.py \
 --ignore=tests/unit/test_connection/test_base.py \
 --ignore=tests/unit/test_connection/test_websocket.py \
 --ignore=tests/unit/test_contrib/test_htmx/test_htmx_request.py \
 --ignore=tests/unit/test_contrib/test_htmx/test_htmx_response.py \
 --ignore=tests/unit/test_contrib/test_opentelemetry.py \
 --ignore=tests/unit/test_contrib/test_sqlalchemy.py \
 --ignore=tests/unit/test_controller.py \
 --ignore=tests/unit/test_datastructures/test_secret_values.py \
 --ignore=tests/unit/test_datastructures/test_upload_file.py \
 --ignore=tests/unit/test_dto/test_factory/test_backends/test_backends.py \
 --ignore=tests/unit/test_dto/test_factory/test_backends/test_base_dto.py \
 --ignore=tests/unit/test_dto/test_factory/test_integration.py \
 --ignore=tests/unit/test_dto/test_integration.py \
 --ignore=tests/unit/test_events.py \
 --ignore=tests/unit/test_exceptions.py \
 --ignore=tests/unit/test_file_system.py \
 --ignore=tests/unit/test_guards.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_kwarg_handling.py \
 --ignore=tests/unit/test_handlers/test_http_handlers/test_media_type.py \
 --ignore=tests/unit/test_handlers/test_websocket_handlers/test_listeners.py \
 --ignore=tests/unit/test_handlers/test_websocket_handlers/test_stream.py \
 --ignore=tests/unit/test_handlers/test_websocket_handlers/test_validations.py \
 --ignore=tests/unit/test_kwargs/test_cookie_params.py \
 --ignore=tests/unit/test_kwargs/test_defaults.py \
 --ignore=tests/unit/test_kwargs/test_dependency_batches.py \
 --ignore=tests/unit/test_kwargs/test_generator_dependencies.py \
 --ignore=tests/unit/test_kwargs/test_header_params.py \
 --ignore=tests/unit/test_kwargs/test_json_data.py \
 --ignore=tests/unit/test_kwargs/test_layered_params.py \
 --ignore=tests/unit/test_kwargs/test_msgpack_data.py \
 --ignore=tests/unit/test_kwargs/test_multipart_data.py \
 --ignore=tests/unit/test_kwargs/test_path_params.py \
 --ignore=tests/unit/test_kwargs/test_query_params.py \
 --ignore=tests/unit/test_kwargs/test_reserved_kwargs_injection.py \
 --ignore=tests/unit/test_kwargs/test_url_encoded_data.py \
 --ignore=tests/unit/test_kwargs/test_validations.py \
 --ignore=tests/unit/test_logging/test_logging_config.py \
 --ignore=tests/unit/test_logging/test_structlog_config.py \
 --ignore=tests/unit/test_middleware/test_base_authentication_middleware.py \
 --ignore=tests/unit/test_middleware/test_base_middleware.py \
 --ignore=tests/unit/test_middleware/test_compression_middleware.py \
 --ignore=tests/unit/test_middleware/test_cors_middleware.py \
 --ignore=tests/unit/test_middleware/test_csrf_middleware.py \
 --ignore=tests/unit/test_middleware/test_exception_handler_middleware.py \
 --ignore=tests/unit/test_middleware/test_logging_middleware.py \
 --ignore=tests/unit/test_middleware/test_middleware_handling.py \
 --ignore=tests/unit/test_middleware/test_rate_limit_middleware.py \
 --ignore=tests/unit/test_middleware/test_session/test_client_side_backend.py \
 --ignore=tests/unit/test_middleware/test_session/test_middleware.py \
 --ignore=tests/unit/test_middleware/test_session/test_server_side_backend.py \
 --ignore=tests/unit/test_openapi \
 --ignore=tests/unit/test_pagination.py \
 --ignore=tests/unit/test_params.py \
 --ignore=tests/unit/test_parsers.py \
 --ignore=tests/unit/test_plugins/test_attrs/test_inject_attrs_class.py \
 --ignore=tests/unit/test_plugins/test_attrs/test_schema_spec_generation.py \
 --ignore=tests/unit/test_plugins/test_attrs/test_signature.py \
 --ignore=tests/unit/test_plugins/test_base.py \
 --ignore=tests/unit/test_plugins/test_flash.py \
 --ignore=tests/unit/test_plugins/test_problem_details.py \
 --ignore=tests/unit/test_plugins/test_prometheus.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_dto.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_inject_pydantic.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_integration.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_openapi.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_plugin_serialization.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_pydantic_dto_factory.py \
 --ignore=tests/unit/test_plugins/test_pydantic/test_schema_plugin.py \
 --ignore=tests/unit/test_plugins/test_sqlalchemy.py \
 --ignore=tests/unit/test_repository/test_generic_mock_repository.py \
 --ignore=tests/unit/test_request_class_resolution.py \
 --ignore=tests/unit/test_response/test_base_response.py \
 --ignore=tests/unit/test_response/test_file_response.py \
 --ignore=tests/unit/test_response/test_redirect_response.py \
 --ignore=tests/unit/test_response/test_response_cookies.py \
 --ignore=tests/unit/test_response/test_response_headers.py \
 --ignore=tests/unit/test_response/test_response_to_asgi_response.py \
 --ignore=tests/unit/test_response/test_sse.py \
 --ignore=tests/unit/test_response/test_streaming_response.py \
 --ignore=tests/unit/test_response/test_type_encoders.py \
 --ignore=tests/unit/test_response_class_resolution.py \
 --ignore=tests/unit/test_security/test_jwt/test_auth.py \
 --ignore=tests/unit/test_security/test_jwt/test_integration.py \
 --ignore=tests/unit/test_security/test_jwt/test_token.py \
 --ignore=tests/unit/test_security/test_security.py \
 --ignore=tests/unit/test_security/test_session_auth.py \
 --ignore=tests/unit/test_signature/test_parsing.py \
 --ignore=tests/unit/test_signature/test_validation.py \
 --ignore=tests/unit/test_static_files/test_file_serving_resolution.py \
 --ignore=tests/unit/test_static_files/test_html_mode.py \
 --ignore=tests/unit/test_static_files/test_static_files_validation.py \
 --ignore=tests/unit/test_stores.py \
 --ignore=tests/unit/test_template/test_built_in.py \
 --ignore=tests/unit/test_template/test_builtin_functions.py \
 --ignore=tests/unit/test_template/test_template.py \
 --ignore=tests/unit/test_testing/test_request_factory.py \
 --ignore=tests/unit/test_testing/test_sub_client/test_subprocess_client.py \
 --ignore=tests/unit/test_testing/test_test_client.py \
 --ignore=tests/unit/test_utils/*.py \
 --ignore=tests/unit/test_websocket_class_resolution.py \
 -W ignore::DeprecationWarning \
 -W ignore::ResourceWarning \
 -k 'not test_backlog \
 and not test_prometheus_exporter_metrics_with_http \
 and not test_qsize \
 and not test_request_body_logging_middleware \
 and not test_sqlalchemy_declarative_models \
 and not test_with_portal \
 and not test_with_stores \
 and not test_controller_http_method \
 and not test_mutable_scope_headers_from_tuple_extend_header_value_new_header \
 and not test_target_set \
 and not test_secret_string_parameter \
 and not test_fields_alias_generator \
 and not test_dto_data_create_instance_renamed_fields \
 and not test_backend_parse_unsupported_media_type \
 and not test_dto_openapi_without_unique_handler_names \
 and not test_backend_scalar_annotation \

## litestar 2.21.0

=== debian/changelog ===
litestar (2.21.0-1) unstable; urgency=medium

  * [30685cb] New upstream version 2.21.0
  * [1fff377] d/control: Update Standards-Version to 4.7.3
  * [291947c] d/control: Drop field Priority: optional
  * [dd65840] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Feb 2026 21:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: litestar
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
@@ -56,7 +55,7 @@
  python3-trio <!nocheck>,
  python3-uvicorn <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/litestar-org/litestar
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar

## litestar saq-0.1.1

=== Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
USING_PDM		=	$(shell grep "tool.pdm" pyproject.toml && echo "yes")
ENV_PREFIX		=	$(shell python3 -c "if __import__('pathlib').Path('.venv/bin/pip').exists(): print('.venv/bin/')")
VENV_EXISTS		=	$(shell python3 -c "if __import__('pathlib').Path('.venv/bin/activate').exists(): print('yes')")
PDM_OPTS 		?=
PDM 			?= 	pdm $(PDM_OPTS)

.EXPORT_ALL_VARIABLES:


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@if [ "$(USING_PDM)" ]; then $(PDM) update; fi
	@echo "=> Dependencies Updated"
	@$(ENV_PREFIX)pre-commit autoupdate
	@echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================
.PHONY: install-pdm
install-pdm: 										## Install latest version of PDM
	@curl -sSLO https://pdm.fming.dev/install-pdm.py && \
	curl -sSL https://pdm.fming.dev/install-pdm.py.sha256 | shasum -a 256 -c - && \
	python3 install-pdm.py

install:											## Install the project and
	@if ! $(PDM) --version > /dev/null; then echo '=> Installing PDM'; $(MAKE) install-pdm; fi
	@if [ "$(VENV_EXISTS)" ]; then echo "=> Removing existing virtual environment"; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) destroy; fi
	if [ "$(VENV_EXISTS)" ]; then $(MAKE) clean; fi
	@if [ "$(USING_PDM)" ]; then $(PDM) config venv.in_project true && python3 -m venv --copies .venv && . $(ENV_PREFIX)/activate && $(ENV_PREFIX)/pip install --quiet -U wheel setuptools cython pip; fi
	@if [ "$(USING_PDM)" ]; then $(PDM) install -G:all; fi
	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"


clean: 												## Cleanup temporary build artifacts
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ -rf dist/ .eggs/
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -name '*.egg' -exec rm -f {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@rm -rf .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache
	$(MAKE) docs-clean

destroy: 											## Destroy the virtual environment
	@rm -rf .venv

# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: lint
lint: 												## Runs pre-commit hooks; includes ruff linting, codespell, black
	@echo "=> Running pre-commit process"
	@$(ENV_PREFIX)pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: coverage
coverage:  											## Run the tests and generate coverage report
	@echo "=> Running tests with coverage"
	@$(ENV_PREFIX)pytest tests --cov=litestar_saq
	@$(ENV_PREFIX)coverage html
	@$(ENV_PREFIX)coverage xml
	@echo "=> Coverage report generated"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@$(ENV_PREFIX)pytest tests
	@echo "=> Tests complete"


.PHONY: check-all
check-all: lint test coverage 						## Run all linting, tests, and coverage checks

# =============================================================================
# Docs
# =============================================================================
.PHONY: docs-install
docs-install: 										## Install docs dependencies
	@echo "=> Installing documentation dependencies"
	@$(PDM) install --group docs
	@echo "=> Installed documentation dependencies"

docs-clean: 										## Dump the existing built docs
	@echo "=> Cleaning documentation build assets"
	@rm -rf docs/_build
	@echo "=> Removed existing documentation build assets"

docs-serve: docs-clean 								## Serve the docs locally
	@echo "=> Serving documentation"
	$(ENV_PREFIX)sphinx-autobuild docs docs/_build/ -j auto --watch litestar_saq --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002

docs: docs-clean 									## Dump the existing built docs and rebuild them
	@echo "=> Building documentation"
	@$(ENV_PREFIX)sphinx-build -M html docs docs/_build/ -E -a -j auto --keep-going

## litestar vite-0.1.2

=== Makefile ===
--- 
+++ 
@@ -73,7 +73,7 @@
 .PHONY: coverage
 coverage:  											## Run the tests and generate coverage report
 	@echo "=> Running tests with coverage"
-	@$(ENV_PREFIX)pytest tests --cov=litestar_saq
+	@$(ENV_PREFIX)pytest tests --cov=litestar_asyncg
 	@$(ENV_PREFIX)coverage html
 	@$(ENV_PREFIX)coverage xml
 	@echo "=> Coverage report generated"
@@ -104,7 +104,7 @@
 
 docs-serve: docs-clean 								## Serve the docs locally
 	@echo "=> Serving documentation"
-	$(ENV_PREFIX)sphinx-autobuild docs docs/_build/ -j auto --watch litestar_saq --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002
+	$(ENV_PREFIX)sphinx-autobuild docs docs/_build/ -j auto --watch litestar_asyncg --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002
 
 docs: docs-clean 									## Dump the existing built docs and rebuild them
 	@echo "=> Building documentation"

## litestar vite-0.12.0

=== src/js/Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
NODE_MODULES_EXISTS		=	$(shell python3 -c "if __import__('pathlib').Path('node_modules').exists(): print('yes')")

.EXPORT_ALL_VARIABLES:

ifndef VERBOSE
.SILENT:
endif


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@npm upgrade --latest
	@echo "=> Dependencies Updated"
	# @pre-commit autoupdate
	# @echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================
install:											## Install the project and
	@if [ "$(NODE_MODULES_EXISTS)" ]; then echo "=> Removing existing node modules"; fi
	@if [ "$(NODE_MODULES_EXISTS)" ]; then $(MAKE) destroy-node_modules; fi
	@echo "=> Installing all dependencies"
	@npm ci install --silent
	@echo "=> Install complete! Note: If you want to re-install re-run 'make install'"

destroy-node_modules: 											## Destroy the node environment
	@rm -rf node_modules
# =============================================================================
# Tests, Linting, Coverage, Build
# =============================================================================
.PHONY: lint
lint: 												## Runs pre-commit hooks; includes ruff linting, codespell, black
	@echo "=> Running pre-commit process"
	@pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@npm run test
	@echo "=> Tests complete"

.PHONY: build
build:
	@echo "=> Building package..."
	@npm run build
	@echo "=> Package build complete..."

.PHONY: publish
publish: test build
	@echo "=> Publishing package..."
	@npm publish
	@echo "=> Package publish complete..."
